Redmine - Defect #16029

Redmine integration with cas
2014-02-05 11:14 - Maria Jurado

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 2.2.1
Description

| have installed the plugin Redmine CAS,https://github.com/ninech/redmine_cas, in redmine 2.2.1 with ruby on rails 1.9.2. After
configuring the plugin when | access redmine get the following error:

RuntimeError (The CAS authentication server at https://HostCAS:8443/cas-w
eb/login/proxyValidate ?service=http%3A%2F%2FHOSTREDMINE%3A3000%2F &ticket=ST-771-
PQxjyd5Wns0zVJvdAgre-cas01.example.org responded with an error (#<Net::HTTPFound

302 Movido temporalmente readbody=true>)!):

app/controllers/application_controller.rb:163:in "check_if login_required'

Do | need to install the certificate of cas?
I have not found any information about this error.

Thanks in advance.

History

#1 - 2014-02-06 13:30 - Maria Jurado

- Status changed from New to Resolved

| have installed the certificate of cas in the redmine server and it works.

#2 - 2014-02-06 19:03 - Jean-Philippe Lang
- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback. Please, contact the plugin author for such requests in the future as we track Redmine core issues here.
